package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/offerCC"
)

func ClearLedger(_ *requests.Parameter, _ *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	offerRequest := offerCC.OfferRecord{}
	countOfferRequest, err := chaincode.ClearLedger(offerRequest.GetObjectType(), manager)
	if err != nil {
		return nil, err
	}

	clearLedgerResult := &chaincode.ClearLedgerResult{
		Count: countOfferRequest,
	}
	return clearLedgerResult, nil
}
