package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/offersessionCC/mngr"
)

func GetOffersBySession(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	keyId, err := requests.Unmarshal(systemParameter.Param)
	if err != nil {
		return nil, err
	}
	return mngr.GetOfferSessionManager(manager).GetOffersBySession(keyId)
}
