package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/model/offerCC"
	"errors"
)

func (this OfferSessionManagerImpl) AddOffer(outOfferRequest *offerCC.OfferRecord, inOfferRequest *offerCC.OfferRecord, operationID *requests.Id) (*offerCC.OfferRecords, error) {
	if outOfferRequest == nil {
		return nil, errors.New("out OfferRecord is nil")
	}
	if inOfferRequest == nil {
		return nil, errors.New("in OfferRecord is nil")
	}
	outOfferRequest.OperationID = operationID.Id
	inOfferRequest.OperationID = operationID.Id

	return this.SaveOfferPair(outOfferRequest, inOfferRequest)
}
