package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/offersessionCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/keyValueCC"
)

func AddSession(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	keyValue, err := keyValueCC.Unmarshal(userParameter.Param)
	if err != nil {
		return nil, err
	}
	return mngr.GetOfferSessionManager(manager).AddSession(keyValue)
}
