package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/offerCC"
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
)

func (this OfferSessionManagerImpl) GetOffer(operationID *requests.Id) (*offerCC.OfferRecord, error) {
	validObject, err := this.GetObject(&offerCC.OfferRecord{}, []string{operationID.Id})
	if err != nil {
		return nil, err
	}

	return offerCC.Cast(validObject)
}
